You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@mxnet.apache.org by GitBox <gi...@apache.org> on 2020/01/08 21:40:19 UTC

[GitHub] [incubator-mxnet] apeforest commented on a change in pull request #17248: Run the nightly test against S3 pip wheel

apeforest commented on a change in pull request #17248: Run the nightly test against S3 pip wheel
URL: https://github.com/apache/incubator-mxnet/pull/17248#discussion_r364456559
 
 

 ##########
 File path: ci/docker/install/ubuntu_install_mxnet.sh
 ##########
 @@ -0,0 +1,26 @@
+#!/usr/bin/env bash
+
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+set -ex
+
+YEAR=$(date +"%Y")
+MONTH=$(date +"%m")
+DATE=$(date +"%d")
+
+pip3 install https://apache-mxnet.s3-us-west-2.amazonaws.com/dist/"${YEAR}"-"${MONTH}"-"${DATE}"/dist/mxnet_cu101mkl-1.6.0b"${YEAR}""${MONTH}""${DATE}"-py2.py3-none-manylinux1_x86_64.whl
 
 Review comment:
   ```
    The solution for the initial issue - no longer publishing
   to pypi - is to add a step to the existing CD pipeline which publishes the
   package to the s3 bucket instead of pypi.
   ```
   
   Hi @marcoabreu Reading your email thread, I understand that you have concerns about replacing Jenkins CD with Codebuild, but you are fine with publishing mxnet nightly to S3 bucket. This PR is not related to changing current CD pipeline, but using a mxnet nightly wheel to run nightly tests, which is missing today. If I misunderstood your concern, please let me know. Thanks for your passion about this project.
   
   

----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.
 
For queries about this service, please contact Infrastructure at:
users@infra.apache.org


With regards,
Apache Git Services